launch=
include-dir=/etc/powerdns/pdns.d

disable-syslog=yes
log-timestamp=no

max-tcp-connections=500
max-tcp-connections-per-client=10

security-poll-suffix=

server-id=${my_hostname}

default-ttl=60

setuid=pdns
setgid=pdns

% if is_secondary:
allow-notify-from=${','.join(sorted(my_primary_servers))}

slave=yes
% if node.os_version[0] > 10:
superslave=yes
% endif
% else:
api=yes
api-key=${api_key}
webserver=yes
webserver-address=0.0.0.0
webserver-allow-from=0.0.0.0/0

allow-notify-from=

master=yes
allow-axfr-ips=${','.join(sorted(my_secondary_servers))}
% endif
